
Installer - Bug #30072

Installer deploys outdated version of pxegrub2 mac template to TFTP

06/09/2020 12:52 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 2.2.0

Triaged: No Found in Releases:  

Bugzilla link: 1845112 Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/598

  

Description

Description of problem:

After installation, TFTP already contains grub.cfg deployed from outdate version of PXEGrub template:

[ see attachment "PXEGrub2_gd_old.txt"]

Despite the fact that the `pxegrub2_mac` snippet template looks different now:

[ see attachment "PXEGrub2_gd_new.txt"]

Associated revisions

Revision 82fce2c6 - 09/11/2020 01:12 PM - Lukáš Zapletal 

Fixes #30072 - update grub default template (#598)

History

#1 - 06/09/2020 12:55 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/598 added

#2 - 09/11/2020 01:12 PM - The Foreman Bot

- Fixed in Releases 2.3.0 added

#3 - 09/11/2020 02:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|82fce2c6692dde4eafd12f588c5e2cd4b13d37ed.

#4 - 10/14/2020 01:28 PM - Tomer Brisker

- Category set to Foreman modules

#5 - 10/19/2020 02:22 PM - Tomer Brisker

- Fixed in Releases 2.2.0 added

- Fixed in Releases deleted (2.3.0)
